Subject: Re: (IPng 3984) Re: Qry on Traffic Policing (IPv6 header changes)

From: Dimitry Haskin <[email-masked]>
Date: Wed, 11 Jun 1997 15:55:05 -0400

At 02:01 PM 6/11/97 -0500, Matt Crawford wrote:
>I agree with your premise, but not your conclusion.  I think the more
>generally agreed conclusion would be, the application should send as
>much useful data as can reach the destination.  If that amount is
>less than "all the data," the application should choose wisely which
>data to send.

Is it that easy?! Does the application always know how much of its data can
reach the destination at any particular moment if statistical multiplexing
is used?

---

From: Paul Ferguson <[email-masked]>
Date: Wed, 11 Jun 1997 17:27:49 -0400

>reach the destination at any particular moment if statistical multiplexing

There are two issues here, each are equally valid, but it appears we
are talking past one another.

One might suggest that having applications support to set priority
is a fundamental design goal, whether one decides to honor it or
not is a matter of policy. I know some service providers who would
be happy with the downstream application setting priority -- they
would just require adequate measurement tools to bill them for
the volume of 'premium' class traffic as opposed to the volume
of 'best effort' traffic. Que sera, sera.

On the other hand, there are those of us who would prefer to
engineer policing mechanisms into the network to guard against
downstream applications setting priority higher than I would
care for them to, so I can properly do capacity engineering
in my network.

This is a policy issue -- we should simply develop the
protocol support to handle both.

- paul